# useWidgetsFormContext

**Category:** Common/Hooks

## API

### Overview

The `useWidgetsFormContext` hook is used to get access to the page's state, when the page is wrapped with [WidgetsFormProvider](./?path=/story/base-components-providers--widgetsformprovider)


```tsx
import { useFormPageContext } from '@wix/patterns';
```

### Returns

[FormPageState](./?path=/story/common-state--formpagestate)

